classification
Title: distutils._msvccompiler should trim INCLUDE/LIB directories
Type: Stage: resolved
Components: Distutils, Windows Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: dstufft, eric.araujo, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2018-07-25 14:54 by steve.dower, last changed 2018-07-29 09:02 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8464 merged steve.dower, 2018-07-25 15:24
PR 8478 merged steve.dower, 2018-07-26 11:26
PR 8477 merged miss-islington, 2018-07-29 09:02
Messages (3)
msg322361 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-07-25 14:54
_msvccompiler reads the INCLUDE and LIB environment variables when building and adds each directory to the command line. However, if any of these end with os.sep (specifically, '\'), then it will escape the quoting and break the entire command.

We should rstrip(os.sep) on each item from this list.
msg322414 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-07-26 11:23
New changeset 5473f061f518aef5367a535999a407305fb12aff by Steve Dower in branch 'master':
bpo-34225: Ensure INCLUDE and LIB directories do not end with a backslash. (GH-8464)
https://github.com/python/cpython/commit/5473f061f518aef5367a535999a407305fb12aff
msg322616 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2018-07-29 09:02
New changeset 8f6a7e100d68fddc9fb98f5cbdf1981994360407 by Steve Dower (Miss Islington (bot)) in branch '3.6':
bpo-34225: Ensure INCLUDE and LIB directories do not end with a backslash. (GH-8464)
https://github.com/python/cpython/commit/8f6a7e100d68fddc9fb98f5cbdf1981994360407
History
Date User Action Args
2018-07-29 09:02:19steve.dowersetmessages: + msg322616
2018-07-29 09:02:18miss-islingtonsetpull_requests: + pull_request8057
2018-07-26 16:19:24steve.dowersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-07-26 11:26:56steve.dowersetpull_requests: + pull_request8001
2018-07-26 11:23:16steve.dowersetmessages: + msg322414
2018-07-25 15:24:21steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request7987
2018-07-25 14:54:28steve.dowercreate